<script>

	import { supabase } from "$lib/supabaseClient";
    import { getUname } from "$lib/vienas";
	import { onMount } from "svelte";
	/**
	 * @type {any}
	 */
let username;
    
    supabase.auth.onAuthStateChange(async (e,s)=>{
        if(s){
        if ('user' in s){
            username = await getUname(s.user.id)
        }
    }
    })


</script>









<nav class="p-4 bg-blue-800 text-white font-bold flex justify-between">
    <a class="text-xl font-serif justify-self-start place-self-start" href="/">ŠUDAS</a>
    <div class="justify-self-end">
    
    <a class="" href="/new">New</a>
    {#if username}
    <a class="" href="/profile">{username}</a>
    {:else}
    <a class="" href="/login">Login</a>
    <a class="" href="/signup">Signup</a>
    {/if}
</div>
</nav>